﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace WizardLocalization
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableItemCollection<WizardPage> collection;

        public MainWindow()
        {
            InitializeComponent();

            collection = new ObservableItemCollection<WizardPage>();

            WizardPage firstPage = new WizardPage();
            firstPage.Content = "My First Page Content";

            WizardPage secondPage = new WizardPage();
            secondPage.Content = "My Second Page Content";

            WizardPage thirdPage = new WizardPage();
            thirdPage.Content = "My Third Page Content";

            WizardPage fourthPage = new WizardPage();
            fourthPage.Content = "My Fourth Page Content";

            this.myWizard.WizardPages.Add(firstPage);
            this.myWizard.WizardPages.Add(secondPage);
            this.myWizard.WizardPages.Add(thirdPage);

            this.myWizard.Next += myWizard_Next;

            this.myWizard.Previous += myWizard_Previous;
        }

        void myWizard_Previous(object sender, NavigationButtonsEventArgs e)
        {
            var wizard = sender as RadWizard;

            if (wizard.SelectedPage.Content == "My Third Page Content")
            {
                e.SelectedPageIndex = 0;
            }
        }

        void myWizard_Next(object sender, NavigationButtonsEventArgs e)
        {
            var wizard = sender as RadWizard;
            
            if (wizard.SelectedPage.Content == "My First Page Content")
            {
                e.SelectedPageIndex = 2;
            }
        }
    }
}
